
#include "gamebase/GameBase.hpp"
#include "gamebase/PGNGameBase.hpp"
#include "GameListManager.hpp"

// Foreign events
wxDECLARE_EVENT(OPEN_GAME_EVENT, wxCommandEvent);
wxDECLARE_EVENT(REFRESH_TAB_TITLE, wxCommandEvent);
wxDECLARE_EVENT(CLOSE_LINKED_TAB, wxCommandEvent);

class BaseGameTab : public TabBase_TabGames {
  std::shared_ptr<GameBase> base;
  std::vector<std::uint32_t> deleted;
  std::unordered_map<long, std::shared_ptr<Game>> edited;
  std::string base_file;
  TabInfos *main_tab;
  GameListManager *glm;

public:
  BaseGameTab(wxFrame *parent, std::string base_file, TabInfos *main_tab);
  ~BaseGameTab() {delete(glm);};

  void ApplyPreferences();
  void LoadFile();
  void OnDelete(wxCommandEvent &event);
  void OnSave(wxCommandEvent &event);
  void OnExport(wxCommandEvent &event);
  void OnOpenGame(wxListEvent &event);
  void OnImport(wxCommandEvent &event);
  void OnApplyFilter(wxCommandEvent &event);
  std::shared_ptr<Game> GetGame() { return (std::shared_ptr<Game>(NULL)); }
  std::shared_ptr<GameBase> GetBase() { return (std::shared_ptr<GameBase>(base)); };
};